%global momorel 2

Summary: notification-daemon
Name: notification-daemon
Version: 0.5.0
Release: %{momorel}m%{?dist}
URL: http://www.galago-project.org/specs/notification/
Source0: http://ftp.gnome.org/pub/gnome/sources/%{name}/0.5/%{name}-%{version}.tar.bz2
NoSource: 0
License: LGPL
Group: System Environment/Libraries
Provides: desktop-notification-daemon
Provides: notify-daemon
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: gtk2-devel >= 2.10.11
BuildRequires: glib2-devel >= 2.12.11
BuildRequires: dbus-devel >= 1.0.2
BuildRequires: dbus-glib-devel >= 0.73
BuildRequires: libsexy-devel >= 0.1.10
BuildRequires: GConf2-devel >= 2.20.0
BuildRequires: libwnck-devel >= 2.20.0
BuildRequires: libxcb-devel >= 1.2
BuildRequires: intltool
Requires(pre): hicolor-icon-theme gtk2

%description
notification-daemon

%prep
%setup -q

%build
%configure --disable-schemas-install --enable-silent-rules --disable-static
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf --preserve-root %{buildroot}

%post
/sbin/ldconfig
gtk-update-icon-cache -q -f -t %{_datadir}/icons/hicolor || :

export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
    %{_sysconfdir}/gconf/schemas/notification-daemon.schemas \
    > /dev/null || :

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/notification-daemon.schemas \
	> /dev/null || :
fi

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/notification-daemon.schemas \
	> /dev/null || :
fi

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_sysconfdir}/gconf/schemas/notification-daemon.schemas
%{_bindir}/notification-properties
%{_libdir}/%{name}-1.0
%{_libexecdir}/%{name}
%{_datadir}/dbus-1/services/org.freedesktop.Notifications.service
%{_datadir}/applications/notification-properties.desktop
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/locale/*/*/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.5.0-2m)
- full rebuild for mo7 release

* Tue Jul 13 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.0-1m)
- update to 0.5.0

* Tue May 25 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.0-7m)
- add Requires(pre): hicolor-icon-theme gtk2
- use gtk-update-icon-cache -q -f -t %{_datadir}/icons/hicolor || :

* Sat Apr 24 2010 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.4.0-6m)
- use BuildRequires

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.4.0-5m)
- rebuild against gcc-4.4 and glibc-2.11

* Sun May 24 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.4.0-4m)
- Provides: desktop-notification-daemon
- Provides: notify-daemon

* Thu Feb 26 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.4.0-3m)
- rebuild against libxcb-1.2

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.4.0-2m)
- rebuild against rpm-4.6

* Tue Jan 20 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.0-1m)
- update to 0.4.0

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.3.7-5m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.3.7-4m)
- %%NoSource -> NoSource

* Thu Sep 20 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.7-3m)
- rebuild against libwnck-2.20.0

* Sat Aug  4 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.7-2m)
- add intltoolize (intltool-0.36.0)

* Fri Mar 23 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.7-1m)
- update to 0.3.7

* Mon Feb 26 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.6-1m)
- update to 0.3.6

* Fri Feb 16 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.5-2m)
- add patch0 for dbus-glib-0.72

* Sun Sep  3 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.5-1m)
- initila build
